Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::EnvironmentVariable_out Class Reference

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::EnvironmentVariable_out:

[legend]
List of all members.

## Public Methods
| EnvironmentVariable_out (EnvironmentVariable *&)
| EnvironmentVariable_out (EnvironmentVariable_var &)
| EnvironmentVariable_out (const EnvironmentVariable_out &)
EnvironmentVariable_out & | operator= (const EnvironmentVariable_out &)
EnvironmentVariable_out & | operator= (EnvironmentVariable *)
| operator EnvironmentVariable *& ()
EnvironmentVariable *& | ptr (void)
EnvironmentVariable * | operator-> (void)
## Private Methods
void | operator= (const EnvironmentVariable_var &)
## Private Attributes
EnvironmentVariable *& | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::EnvironmentVariable_out::EnvironmentVariable_out | ( | EnvironmentVariable *& |  | ) |

ImplementationRepository::EnvironmentVariable_out::EnvironmentVariable_out | ( | EnvironmentVariable_var & |  | ) |

ImplementationRepository::EnvironmentVariable_out::EnvironmentVariable_out | ( | const EnvironmentVariable_out & |  | ) |

## Member Function Documentation

ImplementationRepository::EnvironmentVariable_out::operator EnvironmentVariable *& | ( |  | ) |

EnvironmentVariable* ImplementationRepository::EnvironmentVariable_out::operator-> | ( | void |  | ) |

void ImplementationRepository::EnvironmentVariable_out::operator= | ( | const EnvironmentVariable_var & |  | ) | `[private]`

EnvironmentVariable_out& ImplementationRepository::EnvironmentVariable_out::operator= | ( | EnvironmentVariable * |  | ) |

EnvironmentVariable_out& ImplementationRepository::EnvironmentVariable_out::operator= | ( | const EnvironmentVariable_out & |  | ) |

EnvironmentVariable*& ImplementationRepository::EnvironmentVariable_out::ptr | ( | void |  | ) |

## Member Data Documentation

EnvironmentVariable*& ImplementationRepository::EnvironmentVariable_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h